SUBDIRS = kcdr-sender . @AUTH_MOD_SUBDIRS@

bin_SCRIPTS = drop/*-drop
katrinconfdir = $(sysconfdir)/katrin
katrinconf_DATA = conf/*.conf

katrinlibdir = $(libdir)/katrin
katrinlib_LTLIBRARIES = libkatrin-db-mysql.la \
						libkatrin-stat-traff.la \
						libkatrin-bz-traff.la \
						libkatrin-stat-tel.la \
						libkatrin-bz-tel.la \
						libkatrin-auth.la \
						libkatrin-auth-db.la \
						libkatrin-drop.la


libkatrin_db_mysql_la_SOURCES = db/libkatrin-db-mysql.c utils/utils.c conf/conf.c
libkatrin_db_mysql_la_LDFLAGS = -shared -fPIC
libkatrin_db_mysql_la_CFLAGS = $(AM_CFLAGS)

libkatrin_stat_traff_la_SOURCES = stat/libkatrin-stat-traff.c utils/utils.c module/module_api.c conf/conf.c
libkatrin_stat_traff_la_LDFLAGS = -shared -fPIC
libkatrin_stat_traff_la_CFLAGS = $(AM_CFLAGS)

libkatrin_bz_traff_la_SOURCES = bz/libkatrin-bz-traff.c utils/utils.c conf/conf.c
libkatrin_bz_traff_la_LDFLAGS = -shared -fPIC
libkatrin_bz_traff_la_CFLAGS = $(AM_CFLAGS)
libkatrin_bz_traff_la_LIBADD = libkatrin-stat-traff.la

libkatrin_stat_tel_la_SOURCES = stat/libkatrin-stat-tel.c utils/utils.c module/module_api.c conf/conf.c
libkatrin_stat_tel_la_LDFLAGS = -shared -fPIC
libkatrin_stat_tel_la_CFLAGS = $(AM_CFLAGS)

libkatrin_bz_tel_la_SOURCES = bz/libkatrin-bz-tel.c utils/utils.c conf/conf.c
libkatrin_bz_tel_la_LDFLAGS = -shared -fPIC
libkatrin_bz_tel_la_CFLAGS = $(AM_CFLAGS)
libkatrin_bz_tel_la_LIBADD = libkatrin-stat-tel.la

libkatrin_auth_la_SOURCES = auth/libkatrin-auth.c utils/utils.c conf/conf.c module/module_api.c
libkatrin_auth_la_LDFLAGS = -shared -fPIC
libkatrin_auth_la_CFLAGS = $(AM_CFLAGS)

libkatrin_auth_db_la_SOURCES = auth/libkatrin-auth-db.c utils/utils.c conf/conf.c module/module_api.c
libkatrin_auth_db_la_LDFLAGS = -shared -fPIC
libkatrin_auth_db_la_CFLAGS = $(AM_CFLAGS)

libkatrin_drop_la_SOURCES = drop/libkatrin-drop.c utils/utils.c conf/conf.c module/module_api.c
libkatrin_drop_la_LDFLAGS = -shared -fPIC
libkatrin_drop_la_CFLAGS = $(AM_CFLAGS)

bin_PROGRAMS = katrind \
			   katrin-dropd \
			   katrin-db-service \
			   katrin-tc \
			   katrin-info-traff-netflow \
			   katrin-info-tel-kcdr

katrind_SOURCES = katrin/katrind.c utils/utils.c conf/conf.c module/module_api.c
katrind_LDFLAGS = -Wl,-export-dynamic,-rpath,$(libdir)/katrin:.

katrin_dropd_SOURCES = drop/katrin-dropd.c utils/utils.c conf/conf.c module/module_api.c
katrin_dropd_LDFLAGS = -Wl,-export-dynamic,-rpath,$(libdir)/katrin:.
katrin_dropd_LDADD = libkatrin-drop.la

katrin_db_service_SOURCES = db/db-service/katrin-db-service.c utils/utils.c conf/conf.c module/module_api.c
katrin_db_service_LDFLAGS = -Wl,-export-dynamic,-rpath,$(libdir)/katrin:.

katrin_tc_SOURCES = tc/katrin-tc.c utils/utils.c conf/conf.c module/module_api.c
katrin_tc_LDFLAGS = -Wl,-export-dynamic,-rpath,$(libdir)/katrin:.

katrin_info_traff_netflow_SOURCES = info/katrin-info-traff-netflow.c utils/utils.c conf/conf_info-traff-netflow.c conf/conf-validate.c
katrin_info_traff_netflow_LDFLAGS = -Wl,-export-dynamic,-rpath,$(libdir)/katrin:.

katrin_info_tel_kcdr_SOURCES = info/katrin-info-tel-kcdr.c utils/utils.c conf/conf_info-tel-kcdr.c conf/conf-validate.c
katrin_info_tel_kcdr_LDFLAGS = -Wl,-export-dynamic,-rpath,$(libdir)/katrin:.


